org.apache.poi.hssf.record.cf

## Class Threshold

- java.lang.Object
- - org.apache.poi.hssf.record.cf.Threshold

- Direct Known Subclasses:
    ColorGradientThreshold, DataBarThreshold, IconMultiStateThreshold

      public abstract class Threshold
      extends java.lang.Object

  Threshold / value (CFVO) for changes in Conditional Formatting

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Threshold()`
    `protected` | `Threshold(LittleEndianInput in)` Creates new Threshold
    `protected` | `Threshold(Threshold other)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Threshold` | `copy()`
    `int` | `getDataLength()`
    `protected Formula` | `getFormula()`
    `Ptg[]` | `getParsedExpression()`
    `byte` | `getType()`
    `java.lang.Double` | `getValue()`
    `void` | `serialize(LittleEndianOutput out)`
    `void` | `setParsedExpression(Ptg[] ptgs)`
    `void` | `setType(byte type)`
    `void` | `setType(int type)`
    `void` | `setValue(java.lang.Double value)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Threshold

          protected Threshold()

    - #### Threshold

          protected Threshold(Threshold other)

    - #### Threshold

          protected Threshold(LittleEndianInput in)

      Creates new Threshold

  - ### Method Detail

    - #### getType

          public byte getType()

    - #### setType

          public void setType(byte type)

    - #### setType

          public void setType(int type)

    - #### getFormula

          protected Formula getFormula()

    - #### getParsedExpression

          public Ptg[] getParsedExpression()

    - #### setParsedExpression

          public void setParsedExpression(Ptg[] ptgs)

    - #### getValue

          public java.lang.Double getValue()

    - #### setValue

          public void setValue(java.lang.Double value)

    - #### getDataLength

          public int getDataLength()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### serialize

          public void serialize(LittleEndianOutput out)

    - #### copy

          public abstract Threshold copy()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.